Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005HeadControlSymbols Class Reference

The Xabsl2 symbols that are defined in "symbols.xml". More...

`#include <GT2005HeadControlSymbols.h>`

Inheritance diagram for GT2005HeadControlSymbols:

[legend]
Collaboration diagram for GT2005HeadControlSymbols:

[legend]
List of all members.

## Public Member Functions
| GT2005HeadControlSymbols (const HeadControlInterfaces &interfaces, GT2005HeadControl &headControl, GT2005BasicBehaviorDirectedScanForLandmarks &msh05BasicBehaviorDirectedScanForLandmarks)
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
void | update ()
| updates the symbols
Input symbols
double | getPositionInWalkCycle ()
double | getBallTimeSinceLastSeen ()
double | getTimeSinceLastSeenConsecutively ()
double | getBallConsecutivelySeenTime ()
double | getCommunicatedBallDistance ()
double | getRelativeBallSpeedX ()
double | getRelativeBallSpeedY ()
double | getBallSpeedAbs ()
double | getSeenDistance ()
double | getTimeSinceLastSeenABeacon ()
double | getTimeBetweenSeen2LastBeacons ()
bool | getBodyPSDDetectBall ()
bool | getLastHeadPathIsFinished ()
bool | getSetJointsIsCloseToDestination ()
bool | getSetJointsMaxPanReached ()
bool | getNextLandmarkIsWithinReach ()
bool | getReleasingBallLeftIsPossible ()
bool | getReleasingBallRightIsPossible ()
## Private Attributes
GT2005HeadControl & | headControl
| A reference to the HeadControl module.
GT2005BasicBehaviorDirectedScanForLandmarks & | msh05BasicBehaviorDirectedScanForLandmarks
int | lastSeenBeaconIndex

## Detailed Description

The Xabsl2 symbols that are defined in "symbols.xml".

Author:
  Martin Lötzsch

Definition at line 26 of file GT2005HeadControlSymbols.h.

## Constructor & Destructor Documentation

GT2005HeadControlSymbols::GT2005HeadControlSymbols | ( | const HeadControlInterfaces & | interfaces,
|  | GT2005HeadControl & | headControl,
|  | GT2005BasicBehaviorDirectedScanForLandmarks & | msh05BasicBehaviorDirectedScanForLandmarks
| ) |

| Definition at line 11 of file GT2005HeadControlSymbols.cpp. References lastSeenBeaconIndex.

## Member Function Documentation

void GT2005HeadControlSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 20 of file GT2005HeadControlSymbols.cpp. References getBallConsecutivelySeenTime(), getBallSpeedAbs(), getBallTimeSinceLastSeen(), getBodyPSDDetectBall(), getCommunicatedBallDistance(), getLastHeadPathIsFinished(), getNextLandmarkIsWithinReach(), getPositionInWalkCycle(), getRelativeBallSpeedX(), getRelativeBallSpeedY(), getReleasingBallLeftIsPossible(), getReleasingBallRightIsPossible(), getSeenDistance(), getSetJointsIsCloseToDestination(), getSetJointsMaxPanReached(), getTimeBetweenSeen2LastBeacons(), getTimeSinceLastSeenABeacon(), getTimeSinceLastSeenConsecutively(), HeadControlMode::headControlMode, Xabsl2Symbols::registerBooleanInputSymbol(), Xabsl2Symbols::registerDecimalInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbol(), and Xabsl2Symbols::registerEnumeratedInputSymbolEnumElement(). Referenced by GT2005HeadControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

void GT2005HeadControlSymbols::update | ( |  | ) |

| updates the symbols Definition at line 112 of file GT2005HeadControlSymbols.cpp. References GT2005HeadControl::getLastSeenBeaconIndex(), and lastSeenBeaconIndex. Referenced by GT2005HeadControl::execute().

Here is the call graph for this function:

double GT2005HeadControlSymbols::getPositionInWalkCycle | ( |  | ) |

| A function for the symbol "position-in-walk-cycle" Definition at line 214 of file GT2005HeadControlSymbols.cpp. References MotionInfo::positionInWalkCycle. Referenced by registerSymbols().

double GT2005HeadControlSymbols::getBallTimeSinceLastSeen | ( |  | ) |

| A function for the symbol "ball.time-since-last-seen" Definition at line 119 of file GT2005HeadControlSymbols.cpp. References SystemCall::getTimeSince(), BallModel::seen, and SeenBallState::timeWhenLastSeen. Referenced by registerSymbols().

Here is the call graph for this function:

double GT2005HeadControlSymbols::getTimeSinceLastSeenConsecutively | ( |  | ) |

| A function for the symbol "ball.time-since-last-seen-consecutively" Definition at line 130 of file GT2005HeadControlSymbols.cpp. References SystemCall::getTimeSince(), BallModel::seen, and SeenBallState::timeUntilSeenConsecutively. Referenced by registerSymbols().

Here is the call graph for this function:

double GT2005HeadControlSymbols::getBallConsecutivelySeenTime | ( |  | ) |

| A function for the symbol "ball.consecutive-seen-time" Definition at line 124 of file GT2005HeadControlSymbols.cpp. References BallModel::seen, SeenBallState::timeUntilSeenConsecutively, and SeenBallState::timeWhenFirstSeenConsecutively. Referenced by registerSymbols().

double GT2005HeadControlSymbols::getCommunicatedBallDistance | ( |  | ) |

| A function for the symbol "ball.communicated-ball-distance" Definition at line 141 of file GT2005HeadControlSymbols.cpp. References BallModel::communicated, BallState::positionField, and Pose2D::translation. Referenced by registerSymbols().

double GT2005HeadControlSymbols::getRelativeBallSpeedX | ( |  | ) |

| A function for the symbol "ball.relative-speed-x" Definition at line 146 of file GT2005HeadControlSymbols.cpp. References BallModel::seen, BallState::speedRobot, and Vector2< double >::x. Referenced by registerSymbols().

double GT2005HeadControlSymbols::getRelativeBallSpeedY | ( |  | ) |

| A function for the symbol "ball.relative-speed-y" Definition at line 153 of file GT2005HeadControlSymbols.cpp. References BallModel::seen, BallState::speedRobot, and Vector2< double >::y. Referenced by registerSymbols().

double GT2005HeadControlSymbols::getBallSpeedAbs | ( |  | ) |

| A function for the symbol "ball.speed-abs" Definition at line 160 of file GT2005HeadControlSymbols.cpp. References Vector2< double >::abs(), BallModel::seen, and BallState::speedRobot. Referenced by registerSymbols().

Here is the call graph for this function:

double GT2005HeadControlSymbols::getSeenDistance | ( |  | ) |

| A function for the symbol "ball.seen.distance" Definition at line 135 of file GT2005HeadControlSymbols.cpp. References Vector2< double >::abs(), BallState::positionRobot, and BallModel::seen. Referenced by registerSymbols().

Here is the call graph for this function:

double GT2005HeadControlSymbols::getTimeSinceLastSeenABeacon | ( |  | ) |

| A function for the symbol "time-since-last-seen-beacon" Definition at line 165 of file GT2005HeadControlSymbols.cpp. References GT2005HeadControl::getTimeOfLastSeenBeacon(), SystemCall::getTimeSince(), and lastSeenBeaconIndex. Referenced by registerSymbols().

Here is the call graph for this function:

double GT2005HeadControlSymbols::getTimeBetweenSeen2LastBeacons | ( |  | ) |

| A function for the symbol "time-between-last-beacons" Definition at line 170 of file GT2005HeadControlSymbols.cpp. References GT2005HeadControl::getTimeBetweenSeen2LastBeacons(), and lastSeenBeaconIndex. Referenced by registerSymbols().

Here is the call graph for this function:

bool GT2005HeadControlSymbols::getBodyPSDDetectBall | ( |  | ) |

| A function for the symbol "body-PSD-detect-ball" Definition at line 175 of file GT2005HeadControlSymbols.cpp. References RobotState::getSomethingInFrontOfChest(). Referenced by registerSymbols().

Here is the call graph for this function:

bool GT2005HeadControlSymbols::getLastHeadPathIsFinished | ( |  | ) |

| A function for the symbol "last-head-path-is-finished" Definition at line 180 of file GT2005HeadControlSymbols.cpp. References GT2005HeadControl::headPathPlanner, and GT2005HeadPathPlanner::isLastPathFinished(). Referenced by registerSymbols().

Here is the call graph for this function:

bool GT2005HeadControlSymbols::getSetJointsIsCloseToDestination | ( |  | ) |

| A function for the symbol "set-joints-is-close-to-destination" Definition at line 185 of file GT2005HeadControlSymbols.cpp. References GT2005HeadControl::setJointsIsCloseToDestination. Referenced by registerSymbols().

bool GT2005HeadControlSymbols::getSetJointsMaxPanReached | ( |  | ) |

| A function for the symbol "set-joints-max-pan-reached" Definition at line 190 of file GT2005HeadControlSymbols.cpp. References GT2005HeadControl::setJointsMaxPanReached. Referenced by registerSymbols().

bool GT2005HeadControlSymbols::getNextLandmarkIsWithinReach | ( |  | ) |

| A function for the symbol "next-landmark-is-within-reach" Definition at line 195 of file GT2005HeadControlSymbols.cpp. References msh05BasicBehaviorDirectedScanForLandmarks, and GT2005BasicBehaviorDirectedScanForLandmarks::nextLandmarkIsWithinReach. Referenced by registerSymbols().

bool GT2005HeadControlSymbols::getReleasingBallLeftIsPossible | ( |  | ) |

| A function for the symbol "releasing-ball-left-is-possible" Definition at line 200 of file GT2005HeadControlSymbols.cpp. References MotionInfo::positionInWalkCycle. Referenced by registerSymbols().

bool GT2005HeadControlSymbols::getReleasingBallRightIsPossible | ( |  | ) |

| A function for the symbol "releasing-ball-right-is-possible" Definition at line 207 of file GT2005HeadControlSymbols.cpp. References MotionInfo::positionInWalkCycle. Referenced by registerSymbols().

## Member Data Documentation

GT2005HeadControl& GT2005HeadControlSymbols::headControl`[private]`

| A reference to the HeadControl module. Definition at line 68 of file GT2005HeadControlSymbols.h.

GT2005BasicBehaviorDirectedScanForLandmarks& GT2005HeadControlSymbols::msh05BasicBehaviorDirectedScanForLandmarks`[private]`

| Definition at line 69 of file GT2005HeadControlSymbols.h. Referenced by getNextLandmarkIsWithinReach().

int GT2005HeadControlSymbols::lastSeenBeaconIndex`[private]`

| Definition at line 71 of file GT2005HeadControlSymbols.h. Referenced by getTimeBetweenSeen2LastBeacons(), getTimeSinceLastSeenABeacon(), GT2005HeadControlSymbols(), and update().

The documentation for this class was generated from the following files:

- Modules/HeadControl/GT2005HeadControl/GT2005HeadControlSymbols.h
- Modules/HeadControl/GT2005HeadControl/GT2005HeadControlSymbols.cpp